#if !defined(AFX_MISSINGFILESVIEW_H__58A6A6AE_CB46_4BA1_B03B_CD5F30523832__INCLUDED_)
#define AFX_MISSINGFILESVIEW_H__58A6A6AE_CB46_4BA1_B03B_CD5F30523832__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MissingFilesView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMissingFilesView view

class CMissingFilesView : public CListView
{
protected:
	CMissingFilesView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CMissingFilesView)

// Attributes
public:

// Operations
public:
	int InsertNode(CNodeObject *pNode);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMissingFilesView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CMissingFilesView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CMissingFilesView)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MISSINGFILESVIEW_H__58A6A6AE_CB46_4BA1_B03B_CD5F30523832__INCLUDED_)
